import { ActivityIndicator } from 'react-native'
import { useSafeAreaInsets } from 'react-native-safe-area-context'
import { Text, YStack } from 'tamagui'

export function StoryUploadingView() {
  const insets = useSafeAreaInsets()
  return (
    <YStack
      flex={1}
      backgroundColor="#000"
      alignItems="center"
      justifyContent="center"
      gap="$4"
      paddingTop={insets.top}
      paddingBottom={insets.bottom}
    >
      <ActivityIndicator color="white" size="large" />
      <Text color="white">Publishing story…</Text>
    </YStack>
  )
}
